Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Zsh
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Zsh
ID: USN-3764-1
Distribution: Ubuntu
Plattformen: Ubuntu 14.04 LTS, Ubuntu 16.04 LTS, Ubuntu 18.04 LTS
Datum: Mi, 12. September 2018, 07:37
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-1100
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-13259
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-0502
Applikationen: Zsh

Originalnachricht


--===============3276033140673016529==
Content-Type: multipart/signed; micalg="pgp-sha256";
protocol="application/pgp-signature";
boundary="=-4F1PY1QofP5Zks44D71a"


--=-4F1PY1QofP5Zks44D71a
Content-Type: text/plain; charset="UTF-8
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-3764-1
September 11, 2018

zsh vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 18.04 LTS
- Ubuntu 16.04 LTS
- Ubuntu 14.04 LTS

Summary:

Zsh could be made to execute arbitrary code if it received
a specially crafted script.

Software Description:
- zsh: shell with lots of features

Details:

It was discovered that Zsh incorrectly handled certain scripts.
An attacker could possibly use this issue to execute arbitrary code.
(CVE-2018-0502, CVE-2018-13259)

Richard Maciel Costa discovered that Zsh incorrectly handled certain
scripts. An attacker could possibly use this issue to execute arbitrary
code. (CVE-2018-1100)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 18.04 LTS:
zsh 5.4.2-3ubuntu3.1

Ubuntu 16.04 LTS:
zsh 5.1.1-1ubuntu2.3

Ubuntu 14.04 LTS:
zsh 5.0.2-3ubuntu6.3

After a standard system update you need to restart Zsh to make
all the necessary changes.

References:
https://usn.ubuntu.com/usn/usn-3764-1
CVE-2018-0502, CVE-2018-1100, CVE-2018-13259

Package Information:
https://launchpad.net/ubuntu/+source/zsh/5.4.2-3ubuntu3.1
https://launchpad.net/ubuntu/+source/zsh/5.1.1-1ubuntu2.3
https://launchpad.net/ubuntu/+source/zsh/5.0.2-3ubuntu6.3
--=-4F1PY1QofP5Zks44D71a
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABCAAGBQJbmCt4AAoJEEW851uECx9pntEP/RbXkJWAr6VASSQTPu2822us
pqEgdCEa85yv/IPBVn3CV3tzj9aPHnBeSqw2WZ5F/fJAWO3i8Duon8fC2tMauynk
LHhLbGv57mJPumaEXLv3gN54tiSgcI2ZY2Ms6cvaXi1c4GBT627fXrPjxw5mXKgn
tubcRI0KBhB5RPDimhg3RjghyeAgf8UOaanp5motiU73aFJgHUyLzHruX5t28kGo
cn/rUw1JXGmtG8GB7c5mKfe9WwOFg4Y6vfscnUUh3m7Js2eECZfOzp3DcsN9ltJl
Ktn+jCcmAtg6GCZoQalRq+zsRQBl/ivyCuxAc6M1drgBzt4zc6cGdPDqaIQ0gCr/
2Z9f1DlgyxoM8kkUAGHIpfsXb9qcsN278YWEoYuYerIxgQoLP3zQD9tLBaB5/iNx
D054DPRkiHLDc7+u3BkEdnmhbVe6Y37h5FcJwo+u/7GacZxVQWU8HajhWfk58K58
U2VCRyZqzTaT/xUO0evR3L/+XUq4mT3iYPIuoTR71b8TpGJ6R8S/6vXjq7DgyTYj
Oepipg7QBSyJLTTFp5DHcEUqfYVd+8ja4F5faGMIqRkolfwHIS8cMvzeYtmedi/6
2nMMgL17/eX/5rRWeli6Aawubzs65NtBbtS+n+KhdK+iraZQ+2PoZQ/VJQZ5Lb5C
bzol9vNnRYVhov94jG9C
=bft0
-----END PGP SIGNATURE-----

--=-4F1PY1QofP5Zks44D71a--



--===============3276033140673016529==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============3276033140673016529==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung